%define name    id3lib
%define	version	3.8.3
%define	release	1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A software library for manipulating ID3v1 and ID3v2 tags.
Source0:	http://download.sourceforge.net/id3lib/%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-aix.patch
Patch1:		%{name}-%{version}-configure.patch
URL:		http://id3lib.sourceforge.net
Group:		System Environment/Libraries
Copyright:	LGPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Requires:       zlib

%description
This package provides a software library for manipulating ID3v1 and ID3v2 tags.
It provides a convenient interface for software developers to include 
standards-compliant ID3v1/2 tagging capabilities in their applications.  
Features include identification of valid tags, automatic size conversions, 
(re)synchronisation of tag frames, seamless tag (de)compression, and optional
padding facilities. Additionally, it can tell mp3 header info, like bitrate etc.

The library is available as 32-bit and 64-bit.


%package	devel
Summary:	Headers for developing programs that will use id3lib
Group:		Development/Libraries
Requires:       %{name}-%{version}

%description	devel
This package contains the headers and the documentation of the id3lib API that
programmers will need to develop applications which will use id3lib, the
software library for ID3v1 and ID3v2 tag manipulation.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "xlc -q64" or "gcc -maix64".


%package        examples
Summary:	Example applications that make use of the id3lib library
Group:		Applications/File
Requires:       %{name}-%{version}

%description	examples
This package contains simple example applications that make use of id3lib, a 
software library for ID3v1 and ID3v2 tag manipulation.


%prep
%setup -q
%patch0


%build
# setup environment for 32-bit and 64-bit builds
export AR="/usr/bin/ar -X32_64"
export NM="/usr/bin/nm -X32_64"

# first build the 64-bit version
export CC="xlc -q64"
export CXX="xlC -q64"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static \
    --enable-debug=no
patch -s < %{PATCH1}
make %{?_smp_mflags}

cp src/.libs/libid3-3.8.so.3 .
make distclean

# now build the 32-bit version
export CC="xlc"
export CXX="xlC"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static \
    --enable-debug=no
make %{?_smp_mflags}


# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q src/.libs/libid3-3.8.a ./libid3-3.8.so.3


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# clean up the doc directory
cd doc
rm -f Makefile*
cd ..

# clean the examples directory
cd examples
make clean
rm -rf *.o Makefile* .deps


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,system)
%doc AUTHORS COPYING ChangeLog HISTORY NEWS README THANKS TODO
%{_libdir}/*.a

%files devel
%defattr(-,root,system)
%doc AUTHORS COPYING ChangeLog HISTORY NEWS README THANKS TODO
%doc doc/*.*
%doc doc/api
%{_libdir}/*.la
%{_includedir}/id3*.h
%{_includedir}/id3

%files examples
%defattr(-,root,system)
%doc AUTHORS COPYING ChangeLog HISTORY NEWS README THANKS TODO
%doc examples
%{_bindir}/id3*


%changelog
* Fri Jan 18 2008 Michael Perzl <michael@perzl.org>
- first version for AIX V5.1 and higher
